﻿using StuMgmLib.MyNameSpace;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace StuMgmClient
{
    public partial class SelectFrom : Form
    {

        Dictionary<int, string> dic = new Dictionary<int, string>();
        DataRow dr = null;
        Dictionary<short, CourseStatusEnum> dicStatus;
        short t_job_id;
        int t_token;
        int stateNum;
        public SelectFrom(DataRow drView, Dictionary<short, CourseStatusEnum> allCourseStatus, short job_id, int toKen)
        {
            InitializeComponent();
            dr=drView;
            dicStatus = allCourseStatus;
            t_job_id = job_id;
            t_token = toKen;
            dic.Add(0, "未开始"); dic.Add(1, "进行中"); dic.Add(2, "待验收"); dic.Add(3, "验收成功"); dic.Add(4, "验收失败");
        }
        private void SelectFrom_Load(object sender, EventArgs e)
        {
            ShowData(dr);
        }
        //数据回显
        public void ShowData(DataRow dr)
        {
            short idState = Convert.ToInt16((dr["id"]));
            stateNum= (int)dicStatus[idState];
            txtMsg.Text = dr["Content"].ToString();
            label2.Text =dr["name"].ToString();
            lblState.Text = dic[stateNum];
            MssionPower(stateNum);

            //try
            //{
            //    lblTime.Text = Convert.ToDateTime(dr["Time"]).ToString("yyyy-MM-dd");
            //}
            //catch 
            //{
            //    lblTime.Text = "";
            //}
        }
        //提交事件
        private void btnSumit_Click(object sender, EventArgs e)
        {

            DialogResult result = MessageBox.Show("是否确定提交", "提示", MessageBoxButtons.OKCancel, MessageBoxIcon.Question);
            if (result == DialogResult.OK)
            {
                short idState = Convert.ToInt16((dr["id"]));
                dicStatus[idState]=(CourseStatusEnum)2;
                UserCourseInfoOper o = new UserCourseInfoOper();
                o.Job_Id = t_job_id;
                o.Token = t_token;
                Utility.DicParsing(dicStatus);
                o.Status = Utility.DicParsing(dicStatus);
                SystemCtrl.SendUserCourseInfoOper(o);
                MessageBox.Show("提交成功，可预习下一阶段内容", "提示");
                btnSumit.Visible = false;
                this.Dispose();
            }
        }


        //状态值改变控件
        public void MssionPower(int state)
        {
            //任务权限
            switch (stateNum)
            {
                case 0:
                    dr["Content"] = "当前不可查看";
                    lblTime.Visible = false;
                    lblState.Visible = false;
                    btnSumit.Visible = false;
                    break;
                case 1:
                    btnSumit.Visible = true;
                    break;
                case 2:
                case 3:
                case 4:
                     btnSumit.Visible = false;
                     break;
            }
        } 
    }
}
